//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#ifndef fractanoid_fractal_cell_descriptor_h
#define fractanoid_fractal_cell_descriptor_h

#include <list>

class CellDescriptor
{
  public:
    CellDescriptor();

    static int width;
    static int height;

    int   x;
    int   y;

    float zoom;
    float rotation;

    int   iterations;
    int   version;
};

typedef std::list<CellDescriptor> CellDescriptorList;

#endif
