//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#ifndef fractanoid_fractanoid_h
#define fractanoid_fractanoid_h

#include <QMainWindow>
#include <QGraphicsScene>

#include "ui_fractanoid.h"

class FractalWidget;

class Fractanoid : public QMainWindow
{
  Q_OBJECT

  public:
    Fractanoid();
    virtual ~Fractanoid() {}

  private slots:
    void aboutFractanoid();
    void configure();

  protected:
    void closeEvent(QCloseEvent* event);

  private:
    void createActions();

    Ui::Fractanoid ui;

    FractalWidget *m_fractal_widget;
};

#endif
