#==============================================================================
# Copyright (c) 2007 Ryan Winter
#==============================================================================

TEMPLATE = app

#CONFIG += debug

INCLUDEPATH += ./

FORMS = fractanoid.ui \
        about.ui \
        config/configure.ui \

HEADERS += fractanoid.h \
           widget/fractal_widget.h \
           widget/fractal_thread_pool.h \
           widget/fractal_widget_thread.h \
           widget/rubber_band.h \
           config/configure_dialog.h \

SOURCES += main.cpp \
           fractanoid.cpp \
           utils/cpu.cpp \
           gradient/gradient.cpp \
           widget/fractal_widget.cpp \
           widget/fractal_widget_thread.cpp \
           widget/fractal_thread_pool.cpp \
           widget/rubber_band.cpp \
           fractal/cell_descriptor.cpp \
           fractal/cell_image.cpp \
           fractal/mandelbrot.cpp \
           config/processing_config.cpp \
           config/window_config.cpp \
           config/configure_dialog.cpp \

RESOURCES = fractanoid.qrc

RCC_DIR = .build
UI_DIR = .build
MOC_DIR = .build
OBJECTS_DIR = .build
