//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#ifndef fractanoid_src_config_configure_dialog_h
#define fractanoid_src_config_configure_dialog_h

#include <QDialog>

#include "ui_configure.h"

class ConfigureDialog : public QDialog
{
  Q_OBJECT

  public:
    ConfigureDialog(QWidget *parent);

  public slots:
    virtual void accept();

  private:
    //--------------------------------------------------------------------------
    // Description : Not allowed for this class
    //--------------------------------------------------------------------------
    ConfigureDialog &operator=(const ConfigureDialog &rhs);
    ConfigureDialog(const ConfigureDialog &rhs);

    Ui::Configure ui;
};

#endif

