//==============================================================================
//
// Copyright (c) 2007 Ryan Winter. All rights reserved.
//
// This file may be used under the terms of the GNU General Public
// License version 2.0 appearing in the file LICENSE packaged with this file.
//
//==============================================================================

#ifndef fractanoid_src_widget_rubber_band_h
#define fractanoid_src_widget_rubber_band_h

#include <QRubberBand>
#include <QRect>
#include <QPoint>

class RubberBand : public QRubberBand
{
  Q_OBJECT

  public:
    RubberBand(QWidget* parent);

    void setOrigin(QPoint origin);
    void update(QRect rect, QPoint pos);
    void setDestination();

  private:
    QPoint m_origin;
};

#endif

